Delete compute version
Experimental endpoint: this API is in active development and may change at any time without notice. Permanently deletes the compute version, its metadata, and any associated VM. The version must be stopped or in the `new` state before it can be deleted.
⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️
Permanently deletes the compute version, its metadata, and any associated VM. The version must be stopped or in the new state before it can be deleted.
DELETE
/v1/versions/{versionId}AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
versionId*string
Match
^(cpv_)?([cC][^\s-]{8,}|[a-z0-9]+)$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.prisma.io/v1/versions/string"Empty
{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}